/**
 * Created by jin.zhouhang on 17-7-21 上午9:37.
 */
import Vue from 'vue'
import Vuex from 'vuex'

import test from './modules/test'
import system from './modules/common/system'
import intface from './modules/intface/intface'

Vue.use(Vuex)
export default new Vuex.Store({
  /* 严格模式 */
  strict: process.env.NODE_ENV !== 'production',
  /* 唯一状态树 */
  state: {},
  /* 从 state 中派生 , store 的计算属性 */
  getters: {},
  /* 变更状态 , 提交state */
  mutations: {},
  /* 允许异步提交mutations */
  action: {},
  modules: {
    test,
    system,
    intface
  }
})
